%global modulename loud-rejection

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-loud-rejection
Version:        1.6.0
Release:        1%{?dist}
Summary:        Make unhandled promise rejections fail loudly instead of the default silent fail

License:        MIT
URL:            https://github.com/sindresorhus/loud-rejection#readme
Source0:        https://registry.npmjs.org/loud-rejection/-/loud-rejection-1.6.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(currently-unhandled) >= 0.4.1 with npmlib(currently-unhandled) < 0.5.0))
BuildRequires:  ((npmlib(signal-exit) >= 3.0.0 with npmlib(signal-exit) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Make unhandled promise rejections fail loudly instead of the default silent fail

%package 1.6.0
Summary:        Make unhandled promise rejections fail loudly instead of the default silent fail


%description 1.6.0
Make unhandled promise rejections fail loudly instead of the default silent fail

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr api.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr register.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc readme.md
%license license
%{nodejs_dir}/%{modulename}

%files 1.6.0
%doc readme.md
%license license
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 27 2018 npm2srpm <dshea@redhat.com> - 1.6.0-1
- Package automatically generated by npm2srpm
